Devices

The device catalog with full hardware specifications.

GET/devices

Returns the catalog of all tested smartphones with their specifications.

Parameters

Standard PostgREST filtering. Common filters:

FilterEffect
?brand=eq.AppleFilter by brand
?foldable=is.trueFoldables only
?price=gte.999Filter by price
?select=id,brand,model,priceSelect specific fields

Response Fields

FieldTypeDescription
idstringUnique device identifier (e.g., apple_iphone_17_pro_max)
brandstringManufacturer (Apple, Samsung, Google, etc.)
modelstringDevice model name
model_numberstringOEM model number
release_datedateRelease date (YYYY-MM-DD)
pricenumberLaunch MSRP
price_unitstringCurrency code (e.g., USD)
socstringSystem-on-chip
ram_gbintegerRAM in gigabytes
ram_optionsstringAvailable RAM configurations (e.g., "12, 16")
storagestringAvailable storage configurations (e.g., "256, 512, 1024")
frame_materialstringFrame/chassis material (e.g., titanium, aluminum)
front_materialstringFront cover material (e.g., Gorilla Glass Victus 2)
back_materialstringBack panel material (e.g., glass, vegan leather)
display_aspectstringAspect ratio of main display (e.g., "19.5:9")
screen_body_rationumberScreen-to-body ratio of main display (%)
battery_capacity_mahintegerBattery capacity in mAh
display_resolutionstringMain display resolution
display_sizenumberDisplay diagonal in inches
display_refresh_rate_max_hzintegerMax refresh rate in Hz
display_refresh_rate_min_hznumberMin adaptive refresh rate
display_techstringPanel technology (LTPO OLED, etc.)
display_pixel_densitynumberPixels per inch
charging_wintegerMax wired charging wattage
wireless_charging_wnumberMax wireless charging wattage
magnetic_chargingbooleanMagSafe/Qi2 support
fingerprint_sensorbooleanHas fingerprint sensor
facial_recognitionbooleanHas face unlock
foldablebooleanFoldable form factor
ultrawide_cameranumberUW focal length multiplier
telephoto_zoomstringTelephoto zoom levels
number_telephoto_camsnumberCount of telephoto camera modules (0, 1, or 2)
number_selfie_camsnumberCount of front-facing cameras (1, or 2 for foldables)
max_zoomnumberMaximum digital zoom
camera_main_resolutionnumberMain camera resolution (MP)
camera_main_aperturenumberMain camera aperture
camera_main_focal_lengthnumberMain camera focal length (mm)
camera_main_sensor_sizestringMain camera sensor size
camera_ultrawide_resolutionnumberUW camera resolution (MP)
camera_ultrawide_aperturenumberUW camera aperture
camera_ultrawide_focal_lengthnumberUW camera focal length (mm)
camera_ultrawide_sensor_sizestringUW camera sensor size
camera_telephoto_resolutionnumberTelephoto resolution (MP)
camera_telephoto_aperturenumberTelephoto aperture
camera_telephoto_focal_lengthnumberTelephoto focal length (mm)
camera_telephoto_sensor_sizestringTelephoto sensor size
camera_telephoto_long_resolutionnumberLong telephoto resolution (MP, dual-telephoto devices)
camera_telephoto_long_aperturenumberLong telephoto aperture (dual-telephoto devices)
camera_telephoto_long_focal_lengthnumberLong telephoto focal length (mm, dual-telephoto devices)
camera_telephoto_long_sensor_sizestringLong telephoto sensor size (dual-telephoto devices)
camera_front_resolutionnumberFront camera resolution (MP)
camera_front_aperturenumberFront camera aperture
camera_front_focal_lengthnumberFront camera focal length (mm)
camera_front_sensor_sizestringFront camera sensor size
dimensionsstringH × W × D in mm
weight_gnumberWeight in grams
ip_ratingstringIP rating
portsstringPort type(s)
software_buildstringOS at time of testing

Foldable-Specific Fields

These fields are populated only when foldable is true.

FieldTypeDescription
dimensions_unfoldedstringPhysical dimensions when unfolded
display_aspect_outerstringAspect ratio of outer display
screen_body_ratio_outernumberScreen-to-body ratio of outer display (%)
display_resolution_outerstringOuter display resolution
display_size_outernumberOuter display diagonal in inches
display_refresh_rate_max_hz_outerintegerOuter display max refresh rate
display_refresh_rate_min_hz_outernumberOuter display min adaptive refresh rate
display_tech_outerstringOuter display panel technology
display_pixel_density_outernumberOuter display pixels per inch
camera_front_outer_resolutionnumberOuter front camera resolution (MP)
camera_front_outer_aperturenumberOuter front camera aperture
camera_front_outer_focal_lengthnumberOuter front camera focal length (mm)
camera_front_outer_sensor_sizestringOuter front camera sensor size

Example Request

Terminal
curl "https://api.bandicootlab.com/rest/v1/devices?select=id,brand,model,soc,price,display_tech&order=price.desc&limit=5" \
  -H "apikey: YOUR_API_KEY" \
  -H "Accept-Profile: api"

Example Response

Response — 200
[
  {
    "id": "samsung_galaxy_s25_ultra",
    "brand": "Samsung",
    "model": "Galaxy S25 Ultra",
    "soc": "Snapdragon 8 Elite",
    "price": 1299.99,
    "display_tech": "LTPO AMOLED"
  },
  {
    "id": "apple_iphone_16_pro_max",
    "brand": "Apple",
    "model": "iPhone 16 Pro Max",
    "soc": "A18 Pro",
    "price": 1199,
    "display_tech": "LTPO OLED"
  },
  {
    "id": "google_pixel_9_pro_xl",
    "brand": "Google",
    "model": "Pixel 9 Pro XL",
    "soc": "Tensor G4",
    "price": 1099,
    "display_tech": "LTPO OLED"
  }
]